//
//  ZYJOSSRequest.m
//  AliyunZYJOSSSDK
//
//  Created by huaixu on 2018/1/22.
//  Copyright © 2018年 aliyun. All rights reserved.
//

#import "ZYJOSSRequest.h"
#import "ZYJOSSNetworkingRequestDelegate.h"

@interface ZYJOSSRequest ()

@property (nonatomic, strong) ZYJOSSNetworkingRequestDelegate *requestDelegate;

@end


@implementation ZYJOSSRequest

- (instancetype)init {
    if (self = [super init]) {
        self.requestDelegate = [ZYJOSSNetworkingRequestDelegate new];
        self.isAuthenticationRequired = YES;
    }
    return self;
}

- (void)cancel {
    self.isCancelled = YES;
    
    if (self.requestDelegate) {
        [self.requestDelegate cancel];
    }
}

- (NSDictionary *)requestParams {
    return nil;
}

@end
